# org.pdfclown.util.io.BigEndianBinaryReader Class Reference

Reads primitive data types as binary values using big-endian encoding. More...

List of all members.

## Public Member Functions
| BigEndianBinaryReader (Stream stream)
void | Close ()
| Closes the reader, including the underlying stream.
void | Dispose ()
short | ReadInt16 ()
| Reads a 2-byte signed integer from the current stream and advances the current position of the stream by two bytes.
int | ReadInt32 ()
| Reads a 4-byte signed integer from the current stream and advances the current position of the stream by four bytes.
ushort | ReadUInt16 ()
| Reads a 2-byte unsigned integer from the current stream and advances the position of the stream by two bytes.
uint | ReadUInt32 ()
| Reads a 4-byte unsigned integer from the current stream and advances the position of the stream by four bytes.
## Properties
Stream | BaseStream`[get]`
| Gets the underlying stream.

##

Reads primitive data types as binary values using big-endian encoding.

This implementation was necessary because the official framework's binary reader supports only the little-endian encoding.

## Constructor & Destructor Documentation

org.pdfclown.util.io.BigEndianBinaryReader.BigEndianBinaryReader | ( | Stream | stream | ) |

## Member Function Documentation

void org.pdfclown.util.io.BigEndianBinaryReader.Close | ( |  | ) |

Closes the reader, including the underlying stream.

void org.pdfclown.util.io.BigEndianBinaryReader.Dispose | ( |  | ) |

short org.pdfclown.util.io.BigEndianBinaryReader.ReadInt16 | ( |  | ) |

Reads a 2-byte signed integer from the current stream and advances the current position of the stream by two bytes.

int org.pdfclown.util.io.BigEndianBinaryReader.ReadInt32 | ( |  | ) |

Reads a 4-byte signed integer from the current stream and advances the current position of the stream by four bytes.

ushort org.pdfclown.util.io.BigEndianBinaryReader.ReadUInt16 | ( |  | ) |

Reads a 2-byte unsigned integer from the current stream and advances the position of the stream by two bytes.

uint org.pdfclown.util.io.BigEndianBinaryReader.ReadUInt32 | ( |  | ) |

Reads a 4-byte unsigned integer from the current stream and advances the position of the stream by four bytes.

## Property Documentation

Stream org.pdfclown.util.io.BigEndianBinaryReader.BaseStream`[get]`

Gets the underlying stream.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.